aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibreboot Contributor <contributor@libreboot.org>2020-04-06 11:52:13 +0200
committerLibreboot Contributor <contributor@libreboot.org>2020-04-06 11:52:13 +0200
commit74dbcf416f86de87cfd57ec6eae90a8200faa2d7 (patch)
treeeda6b215267ead1b6a06c357ad14849e490f68b2
parent6de59e53ac12ad9d70aa6e8b7d0fff10bea77250 (diff)
downloadlibrebootfr-74dbcf416f86de87cfd57ec6eae90a8200faa2d7.tar.gz
librebootfr-74dbcf416f86de87cfd57ec6eae90a8200faa2d7.zip
translated ouput of oldbuild script
-rwxr-xr-xi18n/fr_FR/oldbuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/i18n/fr_FR/oldbuild b/i18n/fr_FR/oldbuild
new file mode 100755
index 00000000..fff0a9af
--- /dev/null
+++ b/i18n/fr_FR/oldbuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# generic build script, for building components (all of them)
+#
+# Copyright (C) 2014, 2015 Leah Rowe <info@minifree.org>
+# Copyright (C) 2015 Patrick "P. J." McDermott <pj@pehjota.net>
+# Copyright (C) 2015, 2016 Klemens Nanni <contact@autoboot.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+build=./resources/scripts/helpers/build
+
+listmodes() {
+ for mode in "${build}"/*; do
+ printf '%s\n' "${mode##*/}"
+ done
+}
+
+# Takes exactly one mode as parameter
+listoptions() {
+ for option in "${build}"/"${1}"/*; do
+ printf '%s\n' "${option##*/}"
+ done
+}
+
+help() {
+ cat <<- EOF
+ USAGE: ./oldbuild <MODE> <OPTION>
+
+ Valeurs possibles pour 'mode':
+ $(listmodes)
+
+ Exemple: ./oldbuild module all
+ Exemple: ./oldbuild module flashrom [static]
+ Exemple: ./oldbuild roms withgrub
+ Exemple: ./oldbuild clean all
+
+ Référez-vous à la documentation de Libreboot pour plus d'informations.
+ EOF
+}
+
+die() {
+ printf 'Erreur: %s\n' "${@}" 1>&2
+ exit 1
+}
+
+if [ $# -lt 1 ]; then
+ die "Mauvais nombre d'arguments spécifiés. Voyez './oldbuild help'."
+fi
+
+mode="${1}"
+
+[ "${mode}" = help ] && help && exit 0
+
+if [ $# -gt 1 ]; then
+
+ option="${2}"
+ shift 2
+
+ case "${option}" in
+ list)
+ printf "Options disponibles pour le mode '%s':\n\n" "${mode}"
+ listoptions "${mode}"
+ ;;
+ all)
+ for option in $(listoptions "${mode}"); do
+ "${build}"/"${mode}"/"${option}" $@
+ done
+ ;;
+ *)
+ if [ -d "${build}"/"${mode}"/ ]; then
+ if [ -f "${build}"/"${mode}"/"${option}" ]; then
+ "${build}"/"${mode}"/"${option}" $@
+ else
+ help
+ die "Option invalide pour '${mode}'. Voyez './oldbuild ${mode} list'."
+ fi
+ else
+ help
+ die "Mode invalide'${mode}'. Voyez './oldbuild help'."
+ fi
+ esac
+else
+ help
+ exit 0
+fi